:root {
  --primary-color: #E53A1E;
  --secondary-color: #616161;
  --accent-color: #FFBB00;
  --secondary-accent-color: #FFF6F6;
  --background-color: #f0f0f0;
  --text-color: #2D3748;
  --text-color-light: #616161;
  --white-color: #ffffff;
}



body {
  font-family: Poppins, Verdana, Geneva, Tahoma, sans-serif;
  box-sizing: border-box;
  font-size: 15px;
  color: var(--text-color);
  position: relative;
}

.container {
  max-width: 1080px;
  margin: 0 auto;
  padding: 1.5em;
}

/* Menu Button */

/* -----Mobile Navigation-------- */
.mobile-nav {
  position: fixed;
  top: 0;
  right: 0;
  z-index: 1;
  color: var(--white-color);
  display: flex;
  flex-direction: column;
  align-items: flex-end;
  height: 60vh;
  width: 90vw;
  text-align: right;
  padding: 0.8em 2em;
  /* background-color: #252525ce; */

  #mobilePages {
    display: none;
  }

  /* ---------------------- */
  /* Menu Button */
  #menu-btn {
    display: flex;
    flex-direction: column;
    align-items: end;
    gap: 0.8em;
    color: #f0f0f0;
    height: 30px;
    width: 100px;
    padding: 1.2em 0;
      -webkit-transition: .3s ease-in-out;
      -moz-transition: .3s ease-in-out;
      -o-transition: .3s ease-in-out;
      transition: .3s ease-in-out;

    .span-1,
    .span-2,
    .span-3 {
      width: 45px;
      height: 3px;
      border-radius: 3px;

      background-color: #f0f0f0;
      -webkit-transition: .3s ease-in-out;
      -moz-transition: .3s ease-in-out;
      -o-transition: .3s ease-in-out;
      transition: .3s ease-in-out;
    }

  }


  /* 

  #menu-btn.active span-3 {
    margin-top: -100px;
    -webkit-transform: rotate(-45deg);
    -moz-transform: rotate(-45deg);
    -o-transform: rotate(-45deg);
    transform: rotate(-45deg);
  } */

  /* _----------------------- */
  ul {
    display: flex;
    flex-direction: column;
    gap: 1em;
    font-size: 1.1rem;


    li {
      border-bottom: 2px solid #ffbb00;
      padding: 1.3em 0;
    }

    a {
      color: var(--white-color);
      text-decoration: none;
    }
  }


}

/* ----------------------------- */
.primary-btn {
  background-color: #E53A1E;
  color: white;
  padding: 1em 2.5em;
  border: none;
  border-radius: 50px;
  text-decoration: none;
}

.primary-btn:hover {
  background-color: #C5301E;
}

.secondary-btn {
  background-color: transparent;
  border: 2px solid var(--primary-color);
  border-radius: 50%;
  color: var(--primary-color);
  padding: 1em 2.5em;
  text-decoration: none;
  display: inline-flex;
  align-items: center;
  gap: 5px;
  border-radius: 50px;
  text-decoration: none;
}

.secondary-btn:hover {
  background-color: var(--primary-color);
  color: white;
}

.tertiary-btn {
  font-size: 0.8rem;
  background-color: transparent;
  border: 2px solid var(--white-color);
  border-radius: 50%;
  color: var(--white-color);
  padding: 1em 2.5em;
  text-decoration: none;
  display: inline-flex;
  align-items: center;
  gap: 5px;
  border-radius: 50px;
  text-decoration: none;
}

.submit-btn {
  background-color: var(--text-color);
  color: white;
  padding: 1em 2.5em;
  border: none;
  border-radius: 50px;
  cursor: pointer;
}

.submit-btn:hover {
  background-color: var(--text-color-light);
}


img {
  max-width: 100%;
  height: auto;
}


#logo img {
  width: 150px;
  height: auto;
  cursor: pointer;
}

header {
  background-color: #ffffff00;
}

nav {
  display: flex;
  width: 100%;
  justify-content: space-between;
  align-items: center;
  max-width: 1080px;
  margin: 0 auto;
  box-sizing: border-box;
  padding: 1.5rem;

  #pages {
    display: none;
  }

  ul {

    display: none;
    list-style: none;
    gap: 20px;
    font-weight: 500;

    li {
      position: relative;

      &:after {
        content: "";
        position: absolute;
        width: 0;
        height: 2px;
        background-color: var(--accent-color);
        left: 0;
        bottom: -5px;
        transition: width 0.3s ease;
      }

      &:hover:after {
        width: 100%;
      }
    }

    a {

      text-decoration: none;
      color: var(--white-color);
    }
  }

  #join {
    display: none;
  }
}

h1 {
  font-size: 4rem;
  font-weight: 700;
  margin-bottom: 0.1em;
}

h2 {
  color: var(--primary-color);
  font-size: 1.5rem;
  font-weight: 700;

  span.sub {
    color: var(--text-color);
    font-size: 1rem;
    display: block;
    margin-bottom: -0.6em;

  }

}

p.breadcrumb {
  color: var(--accent-color);
  font-size: 0.9rem;
}




header {

  .hero {
    color: var(--white-color);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    box-shadow: inset 0 0 0 1000px #0000008a;
    margin-top: -120px;
    padding-top: 3em;
    min-height: 60vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
  }
}

/* --------------------------------------- */

#next-steps {
  background-color: var(--secondary-accent-color);
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  padding: 3em 0;


  h3 {
    color: var(--text-color-light);
    font-weight: 600;
    font-size: 1.5rem;
    max-width: 400px;
    margin: 20px 0;
    text-align: center;
    margin: 0 auto;
  }

  h4 {
    color: var(--white-color);
    font-weight: 700;
    font-size: 1.5rem;
  }

  p {
    font-size: 0.7rem;
    line-height: 1.5;
    margin: 10px 0;
    max-width: 500px;
    margin-left: auto;
    margin-right: auto;
  }

  .action-cards {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    gap: 10px;
    padding: 2em 0;
  }

  .action-card {
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    align-items: start;
    background-color: var(--primary-color);
    color: white;
    border-radius: 15px;
    width: 280px;
    height: 320px;
    padding: 20px 20px;
    background-color: var(--text-color);

    a {
      display: inline-block;
      margin: 1.5em 0;
    }

  }

  #donate {
    background-image: url('assets/images/project-support.webp');
    background-size: cover;
    box-shadow: inset 0 0 0 1000px #252525b4;
  }

  #join {
    background-image: url('assets/images/indoor-study.webp');
    background-size: cover;
    box-shadow: inset 0 0 0 1000px #a06d00d3;
  }

  #connect {
    background-image: url('assets/images/group-study.webp');
    background-size: cover;
    box-shadow: inset 0 0 0 1000px #CA1700b4;
  }
}

/* --------------------------------------- */

#subscribe {
  background-color: var(--primary-color);
  color: white;
  text-align: center;
  padding: 4em 0;

  h2 {
    font-size: 1.5rem;
    font-weight: 700;
    margin-bottom: 20px;
    color: var(--white-color);
  }

  span {
    font-size: 0.8rem;
    font-weight: 500;
    margin-bottom: 10px;
    display: block;
  }

  input[type="email"] {
    color: #3a3a3a;
    padding: 1em 2em;
    margin-bottom: 20px;
    border: none;
    border-radius: 50px;
    width: 250px;
  }

}

/* -------------------------------------- */
footer {
  background-color: #313131;
  color: #ffffffbb;
  padding: 20px 0;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 10px;

  a {
    color: #ffffffbb;
    text-decoration: none;
    font-weight: 300;

    &:hover {
      color: var(--accent-color);

    }
  }

  .content-wrapper {
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    align-items: first baseline;
    flex-basis: 50%;
    gap: 20px;
  }

  #footer-logo {

    img {
      width: 150px;
      height: auto;
    }

    p {
      font-size: 0.8rem;
      font-weight: 300;
      margin: 0.5em 0;
      line-height: 1.5;
    }

    margin-bottom: 10px;
    flex-basis: 40%;
  }

  h4 {
    font-size: 0.9rem;
    font-weight: 500;
    color: var(--accent-color);
    margin-bottom: 10px;
  }

  li {
    margin-bottom: 10px;

    a {
      font-size: 0.8rem;
    }
  }

  p {
    font-size: 0.7rem;
    margin: 0;
  }

  #socials {
    flex-basis: 20%;
    display: flex;
    flex-direction: column;
    align-items: start;
    gap: 5px;

    a {

      font-size: 0.8rem;
      display: flex;
      align-items: center;
      gap: 5px;
      margin-bottom: 7px;

      i {
        font-size: 0.8rem;
      }
    }
  }

  #policies {
    ul {
      display: flex;
      flex-direction: column;
      text-align: center;
      gap: 5px;
      list-style: none;
      padding: 0;

      li {
        margin-bottom: 0px;

        &:after {

          margin-left: 10px;
          color: #ffffffbb;
        }

        &:last-child:after {
          content: "";
        }

        a {
          font-size: 0.7rem;
          color: #ffffffbb;
          text-decoration: none;

          &:hover {
            color: var(--accent-color);
          }
        }
      }
    }
  }

}




@media screen and (min-width:750px) {
  nav {
    display: flex;
    width: 100%;
    justify-content: space-between;
    align-items: center;
    max-width: 1080px;
    margin: 0 auto;

    box-sizing: border-box;
    padding: 1.5rem;

    #menu-btn {
      display: none;
    }

    #pages {
      display: flex;

      .active {
        color: var(--accent-color);
      }

      ul {
        display: flex;
        list-style: none;
        gap: 20px;
        font-weight: 500;

        li {
          position: relative;

          &:after {
            content: "";
            position: absolute;
            width: 0;
            height: 2px;
            background-color: var(--accent-color);
            left: 0;
            bottom: -5px;
            transition: width 0.3s ease;
          }

          &:hover:after {
            width: 100%;
          }
        }

        a {
          text-decoration: none;
          color: var(--white-color);
        }
      }
    }

    #join {
      display: block;
    }
  }

  footer {
    .content-wrapper {
      flex-direction: row;
    }

    /* #footer-logo {
      margin-bottom: 0;
     } */

    #policies {

      ul {
        display: flex;
        flex-direction: row;
        gap: 10px;
        list-style: none;
        padding: 0;

        li {
          margin-bottom: 10px;

          &:after {
            content: "|";
            margin-left: 10px;
            color: #ffffffbb;
          }

          &:last-child:after {
            content: "";
          }

          a {
            font-size: 0.7rem;
            color: #ffffffbb;
            text-decoration: none;

            &:hover {
              color: var(--accent-color);
            }
          }
        }
      }
    }

  }

}


@media screen and (min-width:750px) {
  #mobile-nav {
    display: none;
  }


}